Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface QtlAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface QtlAdaptor
extends Adaptor

Retrieves Qtls from the database. Works in conjunction with the QtlFeatureAdaptor.

Author:
  Craig Melsopp
See Also:
  `Qtl`, `QtlFeatureAdaptor`

Field Summary
`static java.lang.String` | `TYPE` Adaptor type.

Method Summary
`Qtl` | `fetch(long internalID)` Fetch Qtl by it's internalID.
`java.util.List` | `fetchAll()` Fetch all Qtls from database.
`java.util.List` | `fetchBySourceDatabase(java.lang.String sourceDatabaseName)` Fetch all Qtls from database that originally come from the specified database.
`java.util.List` | `fetchBySourceDatabase(java.lang.String sourceDatabaseName, java.lang.String sourceID)` Fetch all Qtls from database that originally come from the specified database and have the specified id.
`java.util.List` | `fetchByTrait(java.lang.String trait)` Fetch all Qtls from database with the specified trait.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Adaptor type. TYPE = "qtl".

  See Also:
    Constant Field Values

Method Detail

### fetch

    public Qtl fetch(long internalID)
              throws AdaptorException

  Fetch Qtl by it's internalID.

  Returns:
    Qtl with specied internalID, or null if no such Qtl exists in database.
  Throws:
    `AdaptorException`

### fetchAll

    public java.util.List fetchAll()
                            throws AdaptorException

  Fetch all Qtls from database.

  Returns:
    list of zero or more Qtls.
  Throws:
    `AdaptorException`

### fetchByTrait

    public java.util.List fetchByTrait(java.lang.String trait)
                                throws AdaptorException

  Fetch all Qtls from database with the specified trait.

  Parameters:
    `trait` - trait affected by Qtl.
  Returns:
    list of zero or more Qtls.
  Throws:
    `AdaptorException`

### fetchBySourceDatabase

    public java.util.List fetchBySourceDatabase(java.lang.String sourceDatabaseName)
                                         throws AdaptorException

  Fetch all Qtls from database that originally come from the specified database.

  Parameters:
    `sourceDatabaseName` - name of the source database.
  Returns:
    list of zero or more Qtls.
  Throws:
    `AdaptorException`

### fetchBySourceDatabase

    public java.util.List fetchBySourceDatabase(java.lang.String sourceDatabaseName,
                                                java.lang.String sourceID)
                                         throws AdaptorException

  Fetch all Qtls from database that originally come from the specified database and have the specified id.

  Parameters:
    `sourceDatabaseName` - name of the source database.
    `sourceID` - id in the source database.
  Returns:
    list of zero or more Qtls matching the criteria.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD